Send message

Prev Next

Available in Classic and VPC

This sends SMS/LMS/MMS messages.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /sms/v2/services/{serviceId}/messages

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
serviceId String Required SMS service ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
type String Required Message type
  • SMS | LMS | MMS
    • SMS: SMS message
    • LMS: LMS message
    • MMS: MMS message
contentType String Optional Message content type
  • COMM (default) | AD
    • COMM: General
    • AD: Advertisement
countryCode String Optional Country code
from String Required Caller ID
subject String Optional Default message subject (byte)
  • 0-40
  • Available only for LMS and MMS
content String Required Content of default message (byte)
  • SMS: 0-90
  • LMS, MMS: 0-2000
messages Array Required Message information
  • Up to 100 entries allowed
files Array Optional Attachment list
  • Available only for MMS.
  • If no attachments are included, messages sent with type set to MMS will be sent as LMS.
reserveTime String Optional Reserved date and time
  • YYYY-MM-DD HH:mm format.
  • Enter for reserved delivery.
reserveTimeZone String Optional Reserved time zone
Note
  • If the maximum supported size is exceeded, some content will be truncated and sent.
  • Message subject and content encoding is based on EUC-KR and sending fails if unsupported emoji characters are included.
  • The subject and content within messages have higher priority than the default subject and content.
  • If it is an MMS type but has no attachments, it will be sent as an LMS.

messages

The following describes messages.

Field Type Required Description
to String Required Recipient number
  • Only numbers can be entered.
subject String Optional Individual message subject (byte)
  • 0-40
  • Available only for LMS and MMS
  • If not entered, default message subject is applied.
content String Optional Individual message content (byte)
  • SMS: 0-90
  • LMS, MMS: 0-2000
  • If not entered, default message content is applied.

files

The following describes files.

Field Type Required Description
fileId String Required Attachment ID

Request example

The request example is as follows:

curl --location --request POST 'https://sens.apigw.ntruss.com/sms/v2/services/ncp:sms:kr:50*********1:sens/messages' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
    "type": "MMS",
    "contentType": "COMM",
    "countryCode": "82",
    "from": "010********",
    "subject": "Delivery Notification",
    "content": "Hello. This is for notifying your delivery status.",
    "messages": [
        {
            "to": "010********",
            "subject": "Delivery Noti",
            "content": "Hello, ******. This is for notifying your delivery status."
        }
    ],
    "files": [
        {
            "fileId": "a136************************74f7"
        }
    ],
    "reserveTime": "2025-11-25 09:50",
    "reserveTimeZone": "Asia/Seoul"
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
requestId String Required Request ID
requestTime String Required Request date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
statusCode String Required Status code
  • It follows HTTP status code rules.
    • 202: Success
    • Others: Failure
statusName String Required Status
  • success | fail
    • success: Success
    • fail: Failure

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

The response example is as follows:

{
    "requestId": "RSLA-*************-****-********-IZJQgZEc",
    "requestTime": "2025-11-25T09:39:40.535",
    "statusCode": "202",
    "statusName": "success"
}